Skip to content
VirtlixCP

Documentation / API

Email Templates

List Email Templates

GET /email/template

List of Email Templates

Response 200: A List of Email Templates

Field Type Description
body string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
subject string

Create Email Template

POST /email/template

Create a new Email Template

Request body

Field Type Required Description
body string yes
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string yes
subject string yes

Response 200: An Email Template

Field Type Description
body string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
subject string

Request body

Field Type Required Description
body string yes
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string yes
subject string yes

Response 422: Unprocessable Entity

Delete Email Template

DELETE /email/template/{template_id}

Delete an Email Template

Response 200: Email Template deleted successfully

Response 404: Item not Found

View Email Template

GET /email/template/{template_id}

An Email Template

Response 200: An Email Template

Field Type Description
body string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
subject string

Edit Email Template

PATCH /email/template/{template_id}

Request body

Field Type Required Description
body string yes
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string yes
subject string yes

Response 200: An Email Template

Field Type Description
body string
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string
subject string

Request body

Field Type Required Description
body string yes
id integer VirtlixCP-specific unique identifier used for URLs, etc.
name string yes
subject string yes

Response 422: Unprocessable Entity